Skip to main content
PATCH
/
v2
/
organizations
/
{orgId}
/
memberships
/
{membershipId}
Update a membership
curl --request PATCH \
  --url https://api.cal.com/v2/organizations/{orgId}/memberships/{membershipId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "accepted": true,
  "disableImpersonation": true
}
'
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/memberships/{membershipId}"

payload = {
"accepted": True,
"disableImpersonation": True
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({accepted: true, disableImpersonation: true})
};

fetch('https://api.cal.com/v2/organizations/{orgId}/memberships/{membershipId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "id": 123,
    "userId": 123,
    "teamId": 123,
    "accepted": true,
    "user": {
      "email": "<string>",
      "avatarUrl": "<string>",
      "username": "<string>",
      "name": "<string>",
      "bio": "<string>",
      "metadata": {
        "key": "value"
      }
    },
    "attributes": [
      {
        "id": "<string>",
        "name": "<string>",
        "type": "<string>",
        "option": "<string>",
        "optionId": "<string>"
      }
    ],
    "disableImpersonation": true
  }
}

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

orgId
number
required
membershipId
number
required

Body

application/json
accepted
boolean
role
enum<string>
Available options:
MEMBER,
OWNER,
ADMIN
disableImpersonation
boolean

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required